无法find构build工具修订版23.0.1

你好我正在尝试构build我的第一个应用程序与反应原生。 我正在关注这2个教程: https : //facebook.github.io/react-native/docs/getting-started.html#content https://facebook.github.io/react-native/docs/android-setup。 HTML我相信,我安装了所有需要的东西在第二个链接,当我尝试运行我的应用程序“react-native run-android”我得到以下错误: 错误

我在运行genymotion时执行了这个命令。 这是我在android sdk中安装的所有东西。

在这里输入图像说明

在这里输入图像说明

我试图安装Android构build工具23.0.1,但我得到这个: 在这里输入图像说明

任何帮助或build议,我将非常感谢谢谢!

Solutions Collecting From Web of "无法find构build工具修订版23.0.1"

我遇到了同样的问题,我解决了这个问题:

转至/ home / [USER] / Android / Sdk / tools并执行:

$ android list sdk -a

这将显示一个列表,如:

  1. Android SDK工具,修订版24.0.2
  2. Android SDK平台工具,修订版23.0.2
  3. Android SDK平台工具,修订版23.0.1

… 还有很多

然后,执行命令(注意!在你的计算机上,第三个选项可能会不同):

$ android update sdk -a -u -t 3

它将安装23.0.1 SDK平台工具组件。

尝试再次建立你的项目。

您应该通过Android SDK安装Android SDK构建工具23.0.1,不要忘记清单显示包详细信息。

我以前也有同样的问题,它对我有用 图片

安装构建工具的v23.0.1(截图中的第五行),或者更改代码以使用您已经安装的构建工具版本(v23.0.3)。 这可以在您的应用程序的build.gradle文件中指定:

 android { compileSdkVersion 23 buildToolsVersion "23.0.3" defaultConfig { ... } } 

根据下面的duncanc4的评论,

您要编辑的build.gradle文件位于项目目录中的android / app文件夹中。

尝试使用root(su / sudo)运行sdk-manager,因为你得到的错误似乎与系统的权限有关,因为它无法创建文件夹。

我有这个错误:

无法找到构建工具修订23.0.2

当你得到更新/安装:

  1. Android SDK构建工具
  2. Android SDK工具

在build.gradle中更改版本号

 buildToolsVersion "23.0.2" 

 buildToolsVersion "25.0.2" 

如何找到你有什么构建工具版本

检查你的$ ANDROID_HOME,有时是/ usr / local / opt / android,但不是你的安装sdk路径,改变它并修复这个问题

在运行react-native的时候如果你已经安装了23.0.3,并且它只是在你的应用程序项目目录中请求23.0.1。 打开anroid/app/build.gradle并更改buildToolsVersion "23.0.3"

在这里输入图像说明

没有什么帮助,直到我找到这个解决方案: https : //stackoverflow.com/a/39068538/3995091

在Android SDK中,在安装时显示正确版本的构建工具,但仍然遇到同样的错误,说他们找不到。 当我使用上述解决方案时,我发现他们确实没有安装,尽管Android SDK认为他们是。 安装他们解决了我。